## ipython 0.13.1~rc3

=== debian/changelog ===
ipython (0.13.1~rc3-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release candidate, commit 5f1e6abdf63
  * refresh patches, drop applied except-shadows-builtin-fix.patch
  * depend on libjs-jquery >= 1.7 (Closes: #685986)
  * drop build depends on dh-linktree and libjs-jquery-ui (Closes: #685985)
    - needs to be added again when we can use the packaged jquery-ui
  * drop LC_ALL=C.UTF-8 from build and install, not required anymore
  * override dh_python[23] to work around #683108
  * build depend on libc-bin (>= 2.13-1~) for C.UTF-8 locale used in tests

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 16 Oct 2012 01:03:41 +0200

ipython (0.13-1) unstable; urgency=low

  * New upstream release
    No repackging necessary anymore, js sources available in external
    minified variants are not installed
  * refresh patches, drop upstream applied full-qt-imports 
  * add except-shadows-builtin-fix.patch
  * drop libjs-jquery-ui dependency, use the embedded development branch
  * don't compress the examples
  * remove executable permissions on embedded codemirror files
  * build with LC_ALL=C.UTF-8 to avoid a unicode issue in setupbase.py
  * remove generated doc images in clean
  * update copyright with new and removed files
  * remove unreachable Stephan Peijnik from uploaders
    thank you for your work

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 30 Jun 2012 15:05:32 +0200

ipython (0.12.1+dfsg-2) unstable; urgency=low

  * add ipython3-notebook package
  * move static notebook data to ipython-notebook-common
  * add ipython3 depend on python3-simplegeneric and remove the embedded copy
  * update use-system-mathjax-if-available.patch:
    prefer local mathjax installation over the system one
  * add parallel-2to3.patch:
    allow running 2to3 in parallel. Thanks to Jakub Wilk for the patch
  * add full-qt-imports.patch: (Closes: #671363)
    avoids choosing an incomplete qt version if a full one is available
  * use dh-linktree to link jquery-ui themes
  * debian/copyright: add missing copyright information for simplegeneric,
    mglob and decorators

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 17 May 2012 19:07:19 +0200

ipython (0.12.1+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #655413, #663256)
    Repackaged to remove minified javascript files from source.
  * add get-orig-source target to rules
  * ipython-notebook: depend on libjs-mathjax instead of recommending.
    mathjax can't be securely served from cloudfront.
  * debian/rules: delete build directory in clean (Closes: #671315)
  * remove transitional ipython-parallel package
  * set HOME to build folder for doc build and tests (Closes: #665224)
  * move all examples to ipython-doc
  * move python-argparse to suggests (Closes: #653650)
  * update standard version to 3.9.3, no changes needed
  * override lintian desktop-command-not-in-package
  * remove python-pymongo build dep, tests skipped without running mongod

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 05 May 2012 22:30:58 +0200

=== debian/control ===
Source: ipython
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Julian Taylor <jtaylor.debian@googlemail.com>
Build-Depends: debhelper (>= 7.3.13)
Build-Depends-Indep: graphviz,
                     libc-bin (>= 2.13-1~),
                     python-all (>= 2.6.6-3~),
                     python-argparse,
                     python-configobj,
                     python-decorator,
                     python-matplotlib,
                     python-nose,
                     python-pexpect,
                     python-pygments,
                     python-pyparsing,
                     python-qt4,
                     python-simplegeneric,
                     python-sphinx (>= 1.0.7+dfsg-1~),
                     python-tk,
                     python-tornado,
                     python-wxgtk2.8,
                     python-zmq (>= 2.1.4),
                     python3-all,
                     python3-setuptools,
                     xauth,
                     xvfb
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: http://ipython.org/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/ipython/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/ipython/trunk/
Standards-Version: 3.9.3
DM-Upload-Allowed: yes

Package: ipython
Architecture: all
Depends: python-configobj,
         python-decorator,
         python-pexpect,
         python-simplegeneric,
         ${misc:Depends},
         ${python:Depends}
Suggests: ipython-doc,
          ipython-notebook,
          ipython-qtconsole,
          python-argparse,
          python-matplotlib,
          python-numpy,
          python-profiler,
          python-zmq (>= 2.0.10.1)
Description: enhanced interactive Python shell
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the basic terminal shell. For the qt console
 install ipython-qtconsole and for the html notebook install
 ipython-notebook.

Package: ipython3
Architecture: all
Depends: python3-decorator,
         python3-pkg-resources,
         python3-simplegeneric,
         ${misc:Depends},
         ${python3:Depends}
Suggests: ipython3-notebook, ipython3-qtconsole, python3-zmq (>= 2.0.10.1)
Description: enhanced interactive Python 3 shell
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the Python 3 variant of ipython terminal shell.
 For the qt console install ipython3-qtconsole and for the html notebook
 install ipython3-notebook.

Package: ipython-qtconsole
Architecture: all
Depends: ipython (= ${binary:Version}),
         python-pygments,
         python-qt4 | python-pyside.qtcore,
         python-qt4 | python-pyside.qtgui,
         python-qt4 | python-pyside.qtsvg,
         python-zmq (>= 2.0.10.1),
         ${misc:Depends},
         ${python:Depends}
Description: enhanced interactive Python shell - Qt console
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the qt console.

Package: ipython3-qtconsole
Architecture: all
Depends: ipython3 (= ${binary:Version}),
         python3-pkg-resources,
         python3-pygments,
         python3-pyqt4 | python3-pyside.qtcore,
         python3-pyqt4 | python3-pyside.qtgui,
         python3-pyqt4 | python3-pyside.qtsvg,
         python3-zmq (>= 2.0.10.1),
         ${misc:Depends},
         ${python3:Depends}
Description: enhanced interactive Python 3 shell - Qt console
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the Python3 variant of the qt console.

Package: ipython-notebook-common
Architecture: all
Depends: libjs-jquery (>= 1.7), libjs-mathjax, ${misc:Depends}
Replaces: ipython-notebook (<< 0.12.1-2)
Breaks: ipython-notebook (<< 0.12.1-2)
Description: interactive Python html notebook data package
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the data for html notebook.

Package: ipython-notebook
Architecture: all
Depends: ipython (= ${binary:Version}),
         ipython-notebook-common (= ${binary:Version}),
         python-tornado (>= 2.1.0),
         python-zmq (>= 2.1.4),
         ${misc:Depends},
         ${python:Depends}
Description: interactive Python html notebook
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the html notebook providing a Mathematica-like
 webinterface to Python.

Package: ipython3-notebook
Architecture: all
Depends: ipython-notebook-common (= ${binary:Version}),
         ipython3 (= ${binary:Version}),
         python3-tornado (>= 2.1.0),
         python3-zmq (>= 2.1.4),
         ${misc:Depends},
         ${python3:Depends}
Description: interactive Python 3 html notebook
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the html notebook providing a Mathematica-like
 webinterface to Python 3.

Package: ipython-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Replaces: ipython-notebook (<< 0.12.1-1)
Breaks: ipython-notebook (<< 0.12.1-1)
Description: enhanced interactive Python shell - Documentation
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the documentation.

## ipython 0.13.1

=== debian/changelog ===
ipython (0.13.1-2+deb7u1) wheezy; urgency=medium

  * Fix CVE-2014-3429: remote execution via cross origin websocket if one has
    knowledge of the kernel id

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 16 Jul 2014 20:27:50 +0200

ipython (0.13.1-2) unstable; urgency=low

  * update watch file to use github directly
    thanks to Bart Martens for the file
  * ipython-doc: break/replace ipython << 0.11-2 (Closes: #694280)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 25 Nov 2012 11:55:50 +0000

ipython (0.13.1-1) unstable; urgency=low

  * New upstream bugfix release
  * refresh patches, drop applied except-shadows-builtin-fix.patch
  * depend on libjs-jquery >= 1.7 (Closes: #685986)
  * drop build depends on dh-linktree and libjs-jquery-ui (Closes: #685985)
    - needs to be added again when we can use the packaged jquery-ui
  * drop LC_ALL=C.UTF-8 from build and install, not required anymore
  * override dh_python[23] to work around #683108
  * build depend on libc-bin (>= 2.13-1~) for C.UTF-8 locale used in tests

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 21 Oct 2012 10:37:05 +0200

=== debian/control ===
--- 
+++ 
@@ -194,8 +194,8 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Replaces: ipython-notebook (<< 0.12.1-1)
-Breaks: ipython-notebook (<< 0.12.1-1)
+Replaces: ipython (<< 0.11-2), ipython-notebook (<< 0.12.1-1)
+Breaks: ipython (<< 0.11-2), ipython-notebook (<< 0.12.1-1)
 Description: enhanced interactive Python shell - Documentation
  IPython can be used as a replacement for the standard Python shell,
  or it can be used as a complete working environment for scientific

=== debian/watch ===
version=3
https://github.com/ipython/ipython/tags .*/rel-(.*).tar.gz

## ipython 0.13.2

=== debian/changelog ===
ipython (0.13.2-2) unstable; urgency=low

  * upload to unstable
  * add missing comma to Depends of incomplete-install test
  * add python as python3 test dependency, needed for IPython.utils tests
  * drop unnecessary configobj dependency
  * sphinx1.2-compat.patch: fix doc build with sphinx 1.2 (Closes: #706531)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 05 May 2013 14:45:32 +0200

ipython (0.13.2-1) experimental; urgency=low

  * New upstream bugfix release
  * remove versions from test dependencies
    not supported by autopkgtest package
  * add python-lxml to tools test dependencies
  * drop dependencies of the tested packages from tests/control Depends

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 06 Apr 2013 10:30:19 +0200

ipython (0.13.2~rc2-1) experimental; urgency=low

  * New upstream release candidate (LP: #1161818, #1162112)
  * pass -a to xvfb-run
  * drop DM-Upload-Allowed, not needed anymore
  * don't link documentation of ipython-doc so ipython3 does not depend on
    ipython (Closes: #695554)
    Requires ipython-doc.preinst to not lose copyright on upgrade
  * add ipython3 and ipython3-qtconsole desktop files (Closes: #693612)
  * fix detection of cython modules for multiarch python (Closes: #697704)
  * don't install tests for notebook and qtconsole
  * bump standard to 3.9.4, no changes required
  * add autopkgtests running testsuite and testing tools, cython magics
    and incomplete install message
  * fix crash on tracebacks without line numbers (Closes: #701597)
  * add tkinter package to debianize-error-messages.patch (Closes: #701707)
  * use canonical vcs fields in control

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 02 Feb 2013 11:14:27 +0100

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,11 @@
                      libc-bin (>= 2.13-1~),
                      python-all (>= 2.6.6-3~),
                      python-argparse,
-                     python-configobj,
                      python-decorator,
                      python-matplotlib,
                      python-nose,
                      python-pexpect,
                      python-pygments,
-                     python-pyparsing,
                      python-qt4,
                      python-simplegeneric,
                      python-sphinx (>= 1.0.7+dfsg-1~),
@@ -29,15 +27,14 @@
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: http://ipython.org/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/ipython/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/ipython/trunk/
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/ipython/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/ipython/trunk/
+Standards-Version: 3.9.4
+XS-Testsuite: autopkgtest
 
 Package: ipython
 Architecture: all
-Depends: python-configobj,
-         python-decorator,
+Depends: python-decorator,
          python-pexpect,
          python-simplegeneric,
          ${misc:Depends},

=== debian/tests/control ===
Tests: python2
Depends: ipython, ipython-notebook, ipython-doc, ipython-qtconsole,
         python-nose,
         cython,
         python-all,
         python-all-dev,
         python-argparse,
         python-matplotlib,
         python-rpy2,
         python-qt4,
         python-tk,
         python-wxgtk2.8,
         xauth,
         xvfb

Tests: python3
Depends: ipython3, ipython3-notebook, ipython-doc, ipython3-qtconsole,
         python-minimal,
         python3-nose,
         cython3,
         python3-all,
         python3-all-dev,
         python3-matplotlib,
         python3-pyqt4,
         python3-tk,
         xauth,
         xvfb

Tests: cython-magic2
Depends: ipython, cython, python-dev, python-pexpect

Tests: cython-magic3
Depends: ipython3, cython3, python3-dev, python-pexpect

Tests: tools2
Depends: ipython, python-lxml

Tests: tools3
Depends: ipython3, python3-lxml

Tests: incomplete-install
Depends: ipython, ipython3

## ipython 1.2.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
SRCDIR        = source
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SRCDIR)

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck api

default: html

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  texinfo   to make Texinfo files"
	@echo "  info      to make Texinfo files and run them through makeinfo"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo
	@echo "Compound utility targets:"
	@echo "pdf          latex and then runs the PDF generation"
	@echo "all          html and pdf"
	@echo "dist         all, and then puts the results in dist/"
	@echo "gitwash-update update git workflow from source repo"

clean:
	-rm -rf build/* dist/* $(SRCDIR)/api/generated

pdf: latex
	cd build/latex && make all-pdf

all: html pdf

# For final distribution, only build HTML (our pdf is now so large as to be
# unusable, takes forever to build and just bloats the downloads).  We leave
# them hardlinked at the top-level so users find them easily, though the
# original build/html dir is left in-place (useful to reload builds while
# testing).
dist: html
	rm -rf html
	cp -al build/html .
	@echo "Build finished.  Final docs are in html/"

html: api
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

api: source/api/generated/gen.txt

source/api/generated/gen.txt:
	python autogen_api.py
	@echo "Build API docs finished."

pickle:
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp:
	mkdir -p build/qthelp
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/IPython.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/IPython.qhc"

latex: api
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.rst."

gitwash-update:
	python ../tools/gitwash_dumper.py source/development ipython

nightly: dist
	rsync -avH --delete dist/ ipython:www/doc/nightly

gh-pages: clean html
	# if VERSION is unspecified, it will be dev
	# For releases, VERSION should be just the major version,
	# e.g. VERSION=2 make gh-pages
	python gh-pages.py $(VERSION)

texinfo:
	mkdir -p $(BUILDDIR)/texinfo
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	mkdir -p $(BUILDDIR)/texinfo
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

=== IPython/nbconvert/templates/skeleton/Makefile ===


all: ../latex/skeleton/null.tplx ../latex/skeleton/display_priority.tplx

# convert jinja syntax to tex
# cf http://flask.pocoo.org/snippets/55/
../latex/skeleton/%.tplx: %.tpl
	@echo 'generating tex equivalent of $^: $@'
	@echo '((= autogenerated file do not edit =))' > $@
	@sed \
		-e 's/{%/((*/g' \
		-e 's/%}/*))/g' \
		-e 's/{{/(((/g' \
		-e 's/}}/)))/g' \
		-e 's/{#/((=/g' \
		-e 's/#}/=))/g' \
		-e "s/tpl'/tplx'/g" \
		$^ >> $@


clean:
	@echo "cleaning generated tplx files..."
	@rm ../latex/skeleton/*

=== debian/changelog ===
ipython (1.2.1-2) unstable; urgency=medium

  * debianize-error-messages.patch: fix no zmq message to raise an exception
  * depend on build-essential instead of gcc for tests

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 25 Feb 2014 20:31:19 +0100

ipython (1.2.1-1) unstable; urgency=low

  * New upstream bugfix release
  * suggest pgf for nbconvert --to latex --post pdf
  * debianize parallel error messages for missing zmq (LP: #1190231)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 06 Feb 2014 01:45:52 +0100

ipython (1.2.0~rc1-1) unstable; urgency=low

  * New upstream release candidate
    fixes nbconvert html convert (Closes: #737067, #736560)
  * drop applied patches: python3.4-fixes.patch, test-fix.patch
  * add test-default-tk.patch to run tests with Debian's matplotlib default
  * update debianize-error-messages.patch:
     - fix %paste (Closes: #736175)
     - add pandoc package reference (Closes: #736566)
  * suggest pandoc in notebook for nbconvert subcommand
  * add required version of node-less and fonts-font-awesome to build depends

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 05 Feb 2014 19:07:18 +0100

ipython (1.1.0-1) unstable; urgency=low

  [ Julian Taylor ]
  * New upstream release
  * add build depends and patches required for the the notebook javascript
    build: node-less, node-uglify, libjs-highlight, fabric, fonts-font-awesome,
           dh-linktree
  * bump standard to 3.9.5, no changes required
  * skip autopkgtests on python3.4 as some tests have issues.

  [ Jakub Wilk ]
  * Fix a typo in README.source.

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 06 Jan 2014 16:45:14 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,16 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Julian Taylor <jtaylor.debian@googlemail.com>
 Build-Depends: debhelper (>= 7.3.13)
-Build-Depends-Indep: graphviz,
+Build-Depends-Indep: dh-linktree,
+                     fabric,
+                     fonts-font-awesome (>= 3.2.1),
+                     graphviz,
                      libc-bin (>= 2.13-1~),
+                     libjs-highlight,
+                     libjs-jquery-ui,
+                     libjs-marked,
+                     node-less (>= 1.3.1),
+                     node-uglify,
                      python-all (>= 2.6.6-3~),
                      python-argparse,
                      python-decorator,
@@ -19,7 +27,7 @@
                      python-tk,
                      python-tornado,
                      python-wxgtk2.8,
-                     python-zmq (>= 2.1.4),
+                     python-zmq (>= 2.1.11),
                      python3-all,
                      python3-setuptools,
                      xauth,
@@ -29,7 +37,7 @@
 Homepage: http://ipython.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/ipython/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/ipython/trunk/
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 
 Package: ipython
@@ -46,7 +54,7 @@
           python-matplotlib,
           python-numpy,
           python-profiler,
-          python-zmq (>= 2.0.10.1)
+          python-zmq (>= 2.1.11)
 Description: enhanced interactive Python shell
  IPython can be used as a replacement for the standard Python shell,
  or it can be used as a complete working environment for scientific
@@ -68,7 +76,7 @@
          python3-simplegeneric,
          ${misc:Depends},
          ${python3:Depends}
-Suggests: ipython3-notebook, ipython3-qtconsole, python3-zmq (>= 2.0.10.1)
+Suggests: ipython3-notebook, ipython3-qtconsole, python3-zmq (>= 2.1.11)
 Description: enhanced interactive Python 3 shell
  IPython can be used as a replacement for the standard Python shell,
  or it can be used as a complete working environment for scientific
@@ -90,7 +98,7 @@
          python-qt4 | python-pyside.qtcore,
          python-qt4 | python-pyside.qtgui,
          python-qt4 | python-pyside.qtsvg,
-         python-zmq (>= 2.0.10.1),
+         python-zmq (>= 2.1.11),
          ${misc:Depends},
          ${python:Depends}
 Description: enhanced interactive Python shell - Qt console
@@ -113,7 +121,7 @@
          python3-pyqt4 | python3-pyside.qtcore,
          python3-pyqt4 | python3-pyside.qtgui,
          python3-pyqt4 | python3-pyside.qtsvg,
-         python3-zmq (>= 2.0.10.1),
+         python3-zmq (>= 2.1.11),
          ${misc:Depends},
          ${python3:Depends}
 Description: enhanced interactive Python 3 shell - Qt console
@@ -130,7 +138,14 @@
 
 Package: ipython-notebook-common
 Architecture: all
-Depends: libjs-jquery (>= 1.7), libjs-mathjax, ${misc:Depends}
+Depends: fonts-font-awesome,
+         libjs-highlight,
+         libjs-jquery (>= 1.7),
+         libjs-jquery-ui,
+         libjs-marked,
+         libjs-mathjax,
+         ${misc:Depends}
+Suggests: pandoc, pgf
 Replaces: ipython-notebook (<< 0.12.1-2)
 Breaks: ipython-notebook (<< 0.12.1-2)
 Description: interactive Python html notebook data package
@@ -149,8 +164,9 @@
 Architecture: all
 Depends: ipython (= ${binary:Version}),
          ipython-notebook-common (= ${binary:Version}),
+         python-jinja2,
          python-tornado (>= 2.1.0),
-         python-zmq (>= 2.1.4),
+         python-zmq (>= 2.1.11),
          ${misc:Depends},
          ${python:Depends}
 Description: interactive Python html notebook
@@ -170,8 +186,9 @@
 Architecture: all
 Depends: ipython-notebook-common (= ${binary:Version}),
          ipython3 (= ${binary:Version}),
+         python3-jinja2,
          python3-tornado (>= 2.1.0),
-         python3-zmq (>= 2.1.4),
+         python3-zmq (>= 2.1.11),
          ${misc:Depends},
          ${python3:Depends}
 Description: interactive Python 3 html notebook

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
PYVERS = $(shell pyversions -rv)
PY3VERS = $(shell py3versions -r)
NB = debian/ipython-notebook-common/usr/share/ipython/notebook/static

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_auto_clean:
	rm -f test_hist.sqlite
	if cd $(CURDIR)/docs; then $(MAKE) clean; fi
	dh_auto_clean
	rm -rf $(CURDIR)/build
	# remove 0.13 generated files
	rm -f $(CURDIR)/docs/source/_static/hist_simple.png
	rm -f $(CURDIR)/docs/source/_static/hist_with_text.png
	rm -f $(CURDIR)/docs/source/_static/plot_simple.png
	rm -f $(CURDIR)/docs/source/_static/plot_simple_python.png

override_dh_auto_build:
	dh_auto_build -- --executable '/usr/bin/env python'
	# utf-8 due to https://github.com/ipython/ipython/issues/2057
	set -e && for pyvers in $(PY3VERS); do \
	  $$pyvers setup.py build --executable '/usr/bin/env python3'; \
	done
	cd IPython/html && fab css

ifeq (,$(filter nodocs,$(DEB_BUILD_OPTIONS)))
	HOME=$(CURDIR)/build PYTHONPATH=$(CURDIR) $(MAKE) -C $(CURDIR)/docs html
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
    	# test_not_writable_ipdir, fails as root
	# test_console_starts, leaks python process
	# test_constructor, test_notebook_help, as-installed only (static-path change)
	set -e && for pyvers in $(PYVERS); do \
	  LC_ALL=C.UTF-8 HOME=$(CURDIR)/build \
	  PATH=$(CURDIR)/IPython/scripts/:$(PATH) PYTHONPATH=$(CURDIR) \
	  xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" \
	  python$$pyvers $(CURDIR)/IPython/scripts/iptest -v -e test_not_writable_ipdir -e test_console_starts \
			-e test_constructor -e test_notebook_help;\
	done
endif

override_dh_auto_install:
	dh_auto_install
	set -e && for pyvers in $(PY3VERS); do \
	  $$pyvers setup.py install --install-layout=deb \
		--force --no-compile -O0 --root=$(CURDIR)/debian/tmp; \
	done
	# py3 uses entrypoints where --excutable in build has no effect
	sed -i '1c#!/usr/bin/env python3' $(CURDIR)/debian/tmp/usr/bin/ipython3
	sed -i '1c#!/usr/bin/env python3' $(CURDIR)/debian/tmp/usr/bin/irunner3
	sed -i '1c#!/usr/bin/env python3' $(CURDIR)/debian/tmp/usr/bin/ipcluster3
	sed -i '1c#!/usr/bin/env python3' $(CURDIR)/debian/tmp/usr/bin/ipcontroller3
	sed -i '1c#!/usr/bin/env python3' $(CURDIR)/debian/tmp/usr/bin/ipengine3
	sed -i '1c#!/usr/bin/env python3' $(CURDIR)/debian/tmp/usr/bin/iplogger3

override_dh_install:
	dh_install -pipython \
		--exclude="IPython/qt/" \
		--exclude="IPython/html/" \
		--exclude=tests
	dh_install -pipython-notebook --exclude="html/static/" --exclude=tests
	dh_install -pipython-notebook-common -XCOPYING -XLICENSE -XLICENSE.txt
	dh_install -pipython-qtconsole --exclude=tests
	dh_install -pipython3 \
		--exclude="IPython/qt/" \
		--exclude="IPython/html/" \
		--exclude=tests
	dh_install -pipython3-notebook --exclude="html/static/" --exclude=tests
	dh_install -pipython3-qtconsole --exclude=tests

	rm -rf $(NB)/components/marked/

	dh_linktree -pipython-notebook-common replace usr/share/fonts-font-awesome usr/share/ipython/notebook/static/components/font-awesome/build/assets/font-awesome

	dh_linktree -pipython-notebook-common replace usr/share/javascript/jquery-ui usr/share/ipython/notebook/static/components/jquery-ui
	install -D IPython/html/static/components/jquery-ui/ui/jquery-ui.js $(NB)/components/jquery-ui/ui/minified/jquery-ui.min.js
	install -D IPython/html/static/components/jquery-ui/ui/i18n/jquery-ui-i18n.js $(NB)/components/jquery-ui/ui/minified/i18n/jquery-ui-i18n.min.js
	install -D IPython/html/static/components/jquery-ui/themes/smoothness/jquery-ui.css $(NB)/components/jquery-ui/themes/smoothness/jquery-ui.min.css

	rm -rf $(NB)/components/jquery/
	install -D IPython/html/static/components/jquery/jquery.js $(NB)/components/jquery/jquery.min.js

	rm -rf $(NB)/components/less.js/

	rm -rf $(NB)/components/highlight.js/

	rm -rf $(NB)/components/requirejs/
	install -D IPython/html/static/components/requirejs/require.js $(NB)/components/requirejs/require.js

	rm -rf $(NB)/components/codemirror/bin/

	rm -rf $(NB)/components/bootstrap/
	make -C IPython/html/static/components/bootstrap/ clean
	make -C IPython/html/static/components/bootstrap/ bootstrap-img
	make -C IPython/html/static/components/bootstrap/ bootstrap-js
	# no bootstrap-css, recess used by makefile is broken #734505
	mkdir -p $(NB)/components/bootstrap/bootstrap/css/
	lessc  IPython/html/static/components/bootstrap/less/bootstrap.less > $(NB)/components/bootstrap/bootstrap/css/bootstrap.min.css
	cp -r IPython/html/static/components/bootstrap/bootstrap/ $(NB)/components/bootstrap/

	mkdir -p debian/ipython3/usr/share/applications/
	sed -e "s/ipython/ipython3/" -e "s/IPython/IPython3/" \
	    examples/core/ipython.desktop > debian/ipython3/usr/share/applications/ipython3.desktop
	mkdir -p debian/ipython3-qtconsole/usr/share/applications/
	sed -e "s/ipython/ipython3/" -e "s/IPython/IPython3/" \
	    examples/core/ipython-qtconsole.desktop > debian/ipython3-qtconsole/usr/share/applications/ipython3-qtconsole.desktop

	mkdir -p $(CURDIR)/debian/ipython/usr/share/icons/hicolor/scalable/apps/
	cp IPython/qt/console/resources/icon/IPythonConsole.svg \
	  $(CURDIR)/debian/ipython/usr/share/icons/hicolor/scalable/apps/ipython.svg
	mkdir -p $(CURDIR)/debian/ipython3/usr/share/icons/hicolor/scalable/apps/
	cp IPython/qt/console/resources/icon/IPythonConsole.svg \
	  $(CURDIR)/debian/ipython3/usr/share/icons/hicolor/scalable/apps/ipython3.svg

	# remove embedded arparse
	find $(CURDIR)/debian/ipython/usr/ -name _argparse.py -delete
	find $(CURDIR)/debian/ipython3/usr/ -name _argparse.py -delete

	# remove embedded simplegeneric
	find $(CURDIR)/debian/ipython/usr/ -name _simplegeneric.py -delete
	find $(CURDIR)/debian/ipython3/usr/ -name _simplegeneric.py -delete

	# remove embedded decorator
	find $(CURDIR)/debian/ipython/usr/ -name _decorator.py -delete
	find $(CURDIR)/debian/ipython3/usr/ -name _decorator.py -delete

	# remove embedded pexpect
	find $(CURDIR)/debian/ipython/usr/ -name _pexpect.py -delete

	# add wrapper scripts for all python versions
	set -e ;\
	firstpyver="" ;\
	for pyvers in $(PYVERS); do \
	    if [ "$${firstpyver}" = "" ]; then \
	        install -m 755 debian/ipython.sh $(CURDIR)/debian/ipython/usr/bin/ipython$$pyvers ;\
	        firstpyver="$$pyvers" ;\
	    else \
	        dh_link -pipython /usr/bin/ipython$${firstpyver} /usr/bin/ipython$$pyvers ;\
	    fi ;\
	    dh_link -pipython /usr/share/man/man1/ipython.1.gz /usr/share/man/man1/ipython$$pyvers.1.gz ;\
	done

	# change permission on scripts
	find $(CURDIR)/debian/ipython-notebook-common -type f | xargs chmod a-x

	
override_dh_installdocs:
ifeq (,$(filter nodocs,$(DEB_BUILD_OPTIONS)))
	dh_installdocs -pipython
	dh_installdocs -pipython3
	dh_installdocs -pipython-qtconsole --link-doc=ipython
	dh_installdocs -pipython3-qtconsole --link-doc=ipython3
	dh_installdocs -pipython-notebook --link-doc=ipython
	dh_installdocs -pipython3-notebook --link-doc=ipython3
	dh_installdocs -pipython-notebook-common
	dh_installdocs -pipython-doc
	find $(CURDIR)/debian/ipython -type d -empty -delete
endif

# work around #683108
override_dh_python2:
	dh_python2 -pipython
	dh_python2 -pipython-qtconsole
	dh_python2 -pipython-notebook

override_dh_python3:
	dh_python3 -pipython3
	dh_python3 -pipython3-qtconsole
	dh_python3 -pipython3-notebook

override_dh_installman:
	dh_installman
	mv debian/ipython3/usr/share/man/man1/ipython.1 \
	  debian/ipython3/usr/share/man/man1/ipython3.1
	mv debian/ipython3/usr/share/man/man1/irunner.1 \
	  debian/ipython3/usr/share/man/man1/irunner3.1
	mv debian/ipython3/usr/share/man/man1/ipcluster.1 \
	  debian/ipython3/usr/share/man/man1/ipcluster3.1
	mv debian/ipython3/usr/share/man/man1/ipcontroller.1 \
	  debian/ipython3/usr/share/man/man1/ipcontroller3.1
	mv debian/ipython3/usr/share/man/man1/ipengine.1 \
	  debian/ipython3/usr/share/man/man1/ipengine3.1
	mv debian/ipython3/usr/share/man/man1/iplogger.1 \
	  debian/ipython3/usr/share/man/man1/iplogger3.1

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Tests: python2
 Depends: ipython, ipython-notebook, ipython-doc, ipython-qtconsole,
+         build-essential,
          python-nose,
          cython,
          python-all,
@@ -15,7 +16,8 @@
 
 Tests: python3
 Depends: ipython3, ipython3-notebook, ipython-doc, ipython3-qtconsole,
-         python-minimal,
+         build-essential,
+         python,
          python3-nose,
          cython3,
          python3-all,
@@ -23,6 +25,8 @@
          python3-matplotlib,
          python3-pyqt4,
          python3-tk,
+         texlive-latex-base,
+         dvipng,
          xauth,
          xvfb
 
@@ -33,10 +37,10 @@
 Depends: ipython3, cython3, python3-dev, python-pexpect
 
 Tests: tools2
-Depends: ipython, python-lxml
+Depends: ipython, python-lxml, python-zmq
 
 Tests: tools3
-Depends: ipython3, python3-lxml
+Depends: ipython3, python3-lxml, python3-zmq
 
 Tests: incomplete-install
 Depends: ipython, ipython3

=== debian/watch ===
version=3
http://archive.ipython.org/release/([\d\.]+)/ ipython-([\d\.]+)\.tar\.gz

## ipython 2.2.0

=== debian/changelog ===
ipython (2.2.0-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 17 Aug 2014 13:57:50 +0200

ipython (2.1.0-2) unstable; urgency=medium

  * debian/rules: allow building with uglifyjs 2
    Thanks to Leo Iannacone for the patch (Closes: #750715)
  * shared-static-path.patch: change marked.js search path to path used by
    ipython-notebook-common package, fixes nbconvert failures when using
    nodejs instead of pandoc
  * debian/control: add nodejs to suggests
    it is an alternative to pandoc for nbconvert to html (Closes: #751008)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 15 Jul 2014 22:33:25 +0200

ipython (2.1.0-1) unstable; urgency=low

  * New upstream release
    - removes irunner, iplogger and pycolor binaries
  * drop obsolete patches:
    - 05_fix_seteditor_example.patch
    - parallel-2to3.patch
    - test-default-tk.patch
  * renamed packaged-lessc.patch to packaged-js.patch
  * added split-pkg.patch to handle split notebook package
  * use-ipython-icon-in-desktop-files.patch now applied in debian/rules
  * added lintian overrides for not used minified javascript files

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 03 May 2014 14:24:25 +0200

=== debian/control ===
--- 
+++ 
@@ -12,28 +12,30 @@
                      libjs-highlight,
                      libjs-jquery-ui,
                      libjs-marked,
+                     libjs-underscore,
                      node-less (>= 1.3.1),
                      node-uglify,
                      python-all (>= 2.6.6-3~),
-                     python-argparse,
                      python-decorator,
                      python-matplotlib,
+                     python-mock,
                      python-nose,
+                     python-numpydoc,
                      python-pexpect,
                      python-pygments,
                      python-qt4,
                      python-simplegeneric,
                      python-sphinx (>= 1.0.7+dfsg-1~),
                      python-tk,
-                     python-tornado,
+                     python-tornado (>= 3.1.0),
                      python-wxgtk2.8,
                      python-zmq (>= 2.1.11),
                      python3-all,
                      python3-setuptools,
                      xauth,
                      xvfb
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.3
 Homepage: http://ipython.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/ipython/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/ipython/trunk/
@@ -50,7 +52,6 @@
 Suggests: ipython-doc,
           ipython-notebook,
           ipython-qtconsole,
-          python-argparse,
           python-matplotlib,
           python-numpy,
           python-profiler,
@@ -144,8 +145,9 @@
          libjs-jquery-ui,
          libjs-marked,
          libjs-mathjax,
+         libjs-underscore,
          ${misc:Depends}
-Suggests: pandoc, pgf
+Suggests: nodejs, pandoc, pgf
 Replaces: ipython-notebook (<< 0.12.1-2)
 Breaks: ipython-notebook (<< 0.12.1-2)
 Description: interactive Python html notebook data package
@@ -165,10 +167,11 @@
 Depends: ipython (= ${binary:Version}),
          ipython-notebook-common (= ${binary:Version}),
          python-jinja2,
-         python-tornado (>= 2.1.0),
+         python-tornado (>= 3.1.0),
          python-zmq (>= 2.1.11),
          ${misc:Depends},
          ${python:Depends}
+Suggests: python-pygments
 Description: interactive Python html notebook
  IPython can be used as a replacement for the standard Python shell,
  or it can be used as a complete working environment for scientific
@@ -187,10 +190,11 @@
 Depends: ipython-notebook-common (= ${binary:Version}),
          ipython3 (= ${binary:Version}),
          python3-jinja2,
-         python3-tornado (>= 2.1.0),
+         python3-tornado (>= 3.1.0),
          python3-zmq (>= 2.1.11),
          ${misc:Depends},
          ${python3:Depends}
+Suggests: python3-pygments
 Description: interactive Python 3 html notebook
  IPython can be used as a replacement for the standard Python shell,
  or it can be used as a complete working environment for scientific

=== debian/tests/control ===
--- 
+++ 
@@ -1,3 +1,4 @@
+# TODO fix tests when python-rpy2 is installed
 Tests: python2
 Depends: ipython, ipython-notebook, ipython-doc, ipython-qtconsole,
          build-essential,
@@ -7,7 +8,7 @@
          python-all-dev,
          python-argparse,
          python-matplotlib,
-         python-rpy2,
+         python-mock,
          python-qt4,
          python-tk,
          python-wxgtk2.8,
@@ -23,6 +24,7 @@
          python3-all,
          python3-all-dev,
          python3-matplotlib,
+         python3-mock,
          python3-pyqt4,
          python3-tk,
          texlive-latex-base,
@@ -44,3 +46,15 @@
 
 Tests: incomplete-install
 Depends: ipython, ipython3
+
+Tests: nbconvert2-node
+Depends: ipython-notebook, nodejs, python-pygments
+
+Tests: nbconvert2-pandoc
+Depends: ipython-notebook, pandoc, python-pygments
+
+Tests: nbconvert3-node
+Depends: ipython3-notebook, nodejs, python3-pygments
+
+Tests: nbconvert3-pandoc
+Depends: ipython3-notebook, pandoc, python3-pygments

## ipython 2.3.0

=== debian/changelog ===
ipython (2.3.0-2) unstable; urgency=medium

  * Team upload.
  * Add pygments2.0_compatibility.patch (taken from Carlos Cordoba's pull
    request. Closes: #768705)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 09 Nov 2014 23:33:24 +0100

ipython (2.3.0-1) unstable; urgency=medium

  * New upstream bugfix release
  * drop wx build dependency, not needed for tests anymore (Closes: #760691)
  * bump standard to 3.9.6, no changes required
  * refresh paths in debian/copyright and adapt to some removed files

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 20 Sep 2014 13:54:57 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,6 @@
                      python-sphinx (>= 1.0.7+dfsg-1~),
                      python-tk,
                      python-tornado (>= 3.1.0),
-                     python-wxgtk2.8,
                      python-zmq (>= 2.1.11),
                      python3-all,
                      python3-setuptools,
@@ -39,7 +38,7 @@
 Homepage: http://ipython.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/ipython/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/ipython/trunk/
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 
 Package: ipython

=== debian/tests/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
          python-mock,
          python-qt4,
          python-tk,
-         python-wxgtk2.8,
          xauth,
          xvfb
